%global pkg irdma
%global kernel 5.10.134-17.an23
%define pkg_version 1.13.43
%define anolis_release 3

Name:		kmod-%{pkg}
Version:	%(echo %{kernel} | sed -E 's/-/~/g; s/\.(an|al)[0-9]+$//g')
Release:	%{pkg_version}~%{anolis_release}%{?dist}
Summary:	irdma driver
License:	GPLv2
Group:		System Environment/Kernel
Source:		kmod-%{pkg}-%{pkg_version}.tar.gz


BuildRequires: rdma-core
BuildRequires: python3-docutils perl-generators python3-Cython python3-devel
BuildRequires: bash cmake gcc libnl3-devel libudev-devel make pkgconfig valgrind-devel
BuildRequires: kernel = %{kernel} 
BuildRequires: kernel-devel = %{kernel} 

Requires: kernel-modules-extra = %{kernel}
Requires: kernel = %{kernel}
Requires: kernel-core = %{kernel}

ExclusiveArch: x86_64 aarch64
%define debug_package %{nil}

Provides: kmod-%{pkg}-%{kernel}.%{_arch} = %{version}-%{release}
Obsoletes: kmod-%{pkg}-%{kernel}.%{_arch} < %{version}-%{release}

%description
Suitable for E810 and X722 Intel ®  Linux * RDMA Driver for Ethernet Controller

# prep #########################################################################
%prep
%setup -q -n kmod-%{pkg}-%{pkg_version}

# build ########################################################################
%build
export KSRC=/usr/src/kernels/%{kernel}.%{_arch}
export BUILD_KERNEL=%{kernel}.%{_arch}
bash build.sh noinstall

# install ######################################################################
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/modules/%{kernel}.%{_arch}/extra/irdma/
find src -name *.ko | while read line
do
	cp $line %{buildroot}/lib/modules/%{kernel}.%{_arch}/extra/irdma/
done

%post

%preun


%postun


# files ########################################################################
%files
/lib/modules/%{kernel}.%{_arch}/extra/irdma/irdma.ko

# changelog  ###################################################################
%changelog
* Sun Jul 7 2024 Kaiqiang Wang <wangkaiqiang@inspur.com> - 1.13.43-1
- add irema driver
